'****************************************************************
'*   File	: L1501.BAS                                      
'*  Description 	: FOR...NEXT command operation                       
'* Compiler : PICBASIC PRO V2.44 or higher (not for demo)
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@  DEVICE PIC16F877,WDT_OFF,HS_OSC,LVP_OFF,BOD_OFF
DEFINE	OSC	     20     		' 20 MHz. <HS mode>
DEFINE  DEBUG_REG   PORTC
DEFINE  DEBUG_BIT   6   			' RC6 = TX
DEFINE  DEBUG_BAUD  9600    		' 9600 bps
DEFINE  DEBUG_MODE  0   			' True logic
'
I   VAR BYTE
K   VAR BYTE
X   VAR BYTE
Y   VAR BYTE
'
I  =  0   ' START
Y  =  12  ' END
K  =  1   ' STEP
   
DEBUG   "***START***",13,10 		' START JOB   

FOR X = I TO Y STEP K
	DEBUG   "X*Y = ",#X, "*" , #Y," = ",#(X*Y),13,10    ' Show result
    	PAUSE   200
NEXT    
DEBUG   "END OF JOB",13,10,13,10

STOP    ' Stop program
