'****************************************************************
'*   File	: L1901.BAS                                      
'*  Description 	: HIGH and LOW command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@   DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF 
DEFINE   OSC   20     		' Xtal 20 MHz.
SPK      VAR   PORTA.4    	' RA4 = Sound output          
DURATION VAR   BYTE       	' Size of variable
I        VAR   BYTE
ALARM:                                                  
    	FOR  I = 0 TO 3  			   ' Duration = 4 times
    		FOR DURATION  = 0 TO 124   ' Frequency loop
    			HIGH  SPK     	       ' Send high
    			PAUSEUS	190     	   ' Delay 190 microsecond
    			LOW   SPK     		   ' Send low
    			PAUSEUS 	190        ' Delay 190 microsecond
   			NEXT        
    		PAUSE 	85      		   ' Delay 85 ms for each duration
   		NEXT  
    
    	FOR I = 0 TO 9
    		PAUSE  45      			   ' Delay 45 ms for stop
    	NEXT
    	GOTO  ALARM   			       ' Endless loop
'****************************************************************
