'****************************************************************
'*   File	: L2201.BAS                                      
'*  Description 	: HSEROUT command operation                   
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@   DEVICE  PIC16F877,WDT_OFF,BOD_OFF,HS_OSC,LVP_OFF
DEFINE   OSC             20
DEFINE   HSER_RCSTA      10010000b ' Serial enable ,8 bit continuous receive 
DEFINE   HSER_TXSTA      00100100b ' Transmit  enable in 8 bit asynchronous, high speed mode
DEFINE   HSER_BAUD       9600      ' 9600 bps
DEFINE   HSER_SPBRG      129       ' Value in high speed mode (error 0.16%)

I       VAR     BYTE        
LOOP1:
        FOR  I = 0 TO 255  
            HSEROUT ["I= ",IBIN8 I,13,10]
            HSEROUT ["I= ",IDEC4 I,13,10] 
            HSEROUT ["I= ",IHEX2 I,13,10]
            PAUSE   3000
        NEXT
        GOTO    LOOP1            ' AGAIN
