'*****************************************************
'* File	: L2301.BAS                                    
'* Description 	: I2CWRITE command operation                   
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'*****************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE	OSC	20				' OSCILLATOR = HS MODE     
DEFINE  I2C_SLOW 1 			' STANDARD 100 kHz.

WORD_ADDR  CON  $00        	' WORD ADDRESS 
CONTROL    CON  %10100000  	' PAGE 0 OF 2416       

SCL	VAR		PORTC.3 		' RC3 = CLOCK LINE
SDA	VAR  	PORTC.4 		' RC4 = DATA  LINE        
K	VAR		BYTE[16] 		' ARRAY 16 BYTES
J 	VAR 	BYTE
I	VAR  	BYTE
'******************* MAIN PROGRAM ********************
LOW 	PORTB.5         	' WRITE STATUS
J =  "!"
FOR I = 0 TO 15    			' COUNTER = 16
	K[I] =  J
	J =  J+1
NEXT  I
I2CWRITE  SDA,SCL,CONTROL,WORD_ADDR,[STR K\16]   ' PAGE WRITE    

HIGH	PORTB.5          	' WRITE COMPLETED
STOP                   		' END OF JOB 
'*****************************************************           
