'****************************************************************
'* File	: L2401.BAS                                      
'* Description 	: IF...THEN command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE	OSC	20 		' 20 MHz. <HS mode>
S2  VAR	PORTE.1 	' Reverse
S1  VAR	PORTE.0 	' Forward
J	VAR	BYTE
'=============== MAIN PROGRAM ===================                               
J = 0       					' CLEAR VARIABLE
ADCON1 = 2       				' RE2:RE0 = Digital port                                                         
CHK_SW:
        IF  S2 = 0 THEN RVS
        IF  S1  THEN    CHK_SW    
FWD:          
		IF  J > 100 THEN
			J = 0
		ENDIF
        SEROUT2 PORTC.6,84,["FORWARD=",DEC3 J,13,10] : PAUSE 50
        J = J + 1
        IF  S2 = 0 THEN RVS
        	GOTO FWD
RVS:    
        IF  J = 0  THEN
            J = 100
 		ENDIF               
        SEROUT2 PORTC.6,84,["REVERSE=",DEC3 J,13,10] : PAUSE 50
       	J = J - 1
        IF  S1 = 0 THEN FWD
        	GOTO RVS
