'****************************************************************
'* File	: L2702.BAS                                      
'* Description 	: LCDOUT command operation -2                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@   DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
        
DEFINE  OSC 20      			' HS mode 
DEFINE 	NO_CLRWD	1      		' Use se for optimize code <turn-off wdt. only>
DEFINE 	LCD_BITS   	4      		' 4-bit mode
DEFINE  LCD_LINES  	2       	' Use more 1 line
DEFINE  LCD_DREG   	PORTD   	' Use PORTD as data bus
DEFINE  LCD_DBIT   	4       	' Data start bit 4(RD4)
DEFINE  LCD_RSREG  	PORTC   	' RC0 = RS pin
DEFINE  LCD_RSBIT  	0
DEFINE  LCD_EREG   	PORTC   	' RC5 = Enable pin
DEFINE  LCD_EBIT   	5
           
PAUSE   1000                	' Delay 1 second for LCD start-up
LCDOUT  $FE,$40+(8*0),$0E,$0A,$0E,$04,$0E,$04,$04,$00
LCDOUT  $FE,$40+(8*1),$00,$01,$03,$0D,$0D,$03,$01,$00
LCDOUT  $FE,$40+(8*2),$00,$06,$14,$1F,$05,$0C,$00,$00
LCDOUT  $FE,$40+(8*3),$04,$0E,$1F,$04,$04,$05,$02,$00
LCDOUT  $FE,$40+(8*4),$0E,$11,$09,$11,$11,$11,$11,$00
LCDOUT  $FE,$40+(8*5),$00,$0A,$00,$00,$11,$0E,$00,$00
LCDOUT  $FE,$40+(8*6),$0A,$15,$0A,$15,$0A,$15,$0A,$00
LCDOUT  $FE,$40+(8*7),$00,$14,$16,$17,$16,$14,$00,$00
LCDOUT  $FE,1               	' Clear display and return home
LCDOUT  $FE,$84             	' Set DDRAM line 1/4
LCDOUT  0,1,2,3,4,5,6,7     	' Send ICON        
L1:     GOTO  L1      
