'****************************************************************
'* File	: L3701.BAS                                      
'* Description 	: PULSIN command operation-2
'* Author  : Natthapol Wongsoonthornchai                       
'****************************************************************
@   DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE  OSC	20     		 		; HS-mode for 20MHz
DEFINE  PULSIN_MAX   500    	' Maximum 500 counts 
TH 	VAR  WORD
TL 	VAR  WORD
DUTY 	VAR		WORD
PIN  	VAR 	PORTB.0     	' RB0 = pulse input
DC 	    CON  	80          	' Define duty cycle here
FPWM	CON 	2000        	' Define frequency here
'*****************************************************************       
HPWM 1,(DC*255)/100 ,fPWM 	     ' PWM out from RC2/CCP1 pin
LOOP1:	PULSIN  PIN,1,TH
        PULSIN  PIN,0,TL        
        DUTY = (TH*100)/(TH+TL) ' Duty calculation  
'================================================================
' ADJUST DUTY IF TH AND TH = 00        
		IF (DUTY=65535) AND (Pin=0)  THEN  
			TH = 0 
 			TL = 0 
			DUTY = 0           
 		ENDIF

        IF (DUTY=65535) AND (Pin=1)  THEN             
			TH = 100 
            TL = 0 
        	DUTY = 100             
 		ENDIF 
'================================================================           
        SEROUT2 PORTC.6,84,["TH=",#TH, " : TL=",#TL," : DUTY=",#DUTY,"%",13,10]
        PAUSE   567
        GOTO    LOOP1            
