'****************************************************************
'*   File	: L3801.BAS                                     
'*  Description 	: PULSOUT command operation
'****************************************************************
@ DEVICE  PIC16F877,WDT_OFF,HS_OSC,LVP_OFF,BOD_OFF
DEFINE	OSC  	20
SERVO   VAR	PORTB.0               ' RB0 = servo output
SW1 	VAR	PORTE.0
SW2  	VAR PORTE.1
'******************* PROGRAM ************************         
LOW	SERVO       				  ' Send idle low to servo motor        
ADCON1 = 2      				  ' RE1,RE0 = digital port
TRISE = 255    			          ' RE1,RE0 = input     
LOW  SERVO       	              ' Send idle low to servo motor         
LOOP1: 	IF SW1 = 0 THEN  LEFT
        IF SW2 = 0 THEN  RIGHT                
        PAUSE   20
        GOTO    LOOP1
LEFT:   IF SW2 = 0 THEN  RIGHT                
        PULSOUT SERVO,260         ' 0.52  millisecond
        PAUSE   20
        GOTO    LEFT
RIGHT:	IF SW1 = 0 THEN  LEFT
        PULSOUT SERVO,1230        ' 2.46 millisecond
        PAUSE   20
        GOTO    RIGHT
        GOTO    LOOP1
