'****************************************************************
'*  Name    : L3901.BAS                                      
'*  Description 	: PWM command operation  
'*  Author  : Natthapol Wongsoonthornchai       
'****************************************************************
@  DEVICE  PIC16F877,WDT_OFF,LVP_OFF,HS_OSC,BOD_OFF,PWRT_OFF
K      VAR  BYTE       ' Byte size only     
CYCLE  CON   1         ' Cycle = 1 millisecond @20 MHz.
;*****************  MAIN PROGRAM  *******************    
; Vout = (Duty*5)/100    Volt
ADCON1 = 2                  			' RE2:RE0 = digital port     
LOOP1:	FOR  K = 0  TO 255  STEP 15    	' Increase voltage 17 steps,
            PWM  PORTE.0 ,K,CYCLE       ' (255/15 = 17 steps)
        NEXT
       	FOR  K = 255  TO 0  STEP -15   	' Decrease voltage 17 steps 
        	PWM  PORTE.0 ,K,CYCLE      
        NEXT                           	' Output = triangle wave form                  
        GOTO  	LOOP1               	' Do next cycle            

