'****************************************************************
'*  Filename    : L4201.BAS                                      
'*  Description 	: READ command operation                      
'****************************************************************
@ DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE  OSC  	20     		 	; HS-MODE for 20MHz.
DEFINE  LCD_BITS     4      	' Data bus 4 bit mode
DEFINE	LCD_LINES    2      	' 2 Lines
DEFINE	LCD_DREG     PORTD  	' Use portd as data port 
DEFINE	LCD_DBIT     4	    	' Upper 4 bit of port D <D7:D4>
DEFINE	LCD_RSREG    PORTC  	' RS pin = RC0 
DEFINE  LCD_RSBIT    0  
DEFINE	LCD_EREG     PORTC  	' Enable pin = RC5 
DEFINE  LCD_EBIT     5 	
J 	VAR  BYTE
K 	VAR  BYTE
' FILL DATA IN EEPRM ADDRESS $00-$0F 
DATA    @00,$00,$10,$20,$30,$40,$50,$60,$70 
DATA    @08,$80,$90,$AA,$BB,$CC,$DD,$EE,$FF
' MAIN PROGRAM 
PAUSE   1000            					' Delay for LCD 
LCDOUT  $FE,1           					' Clear LCD
FOR K = 00 TO $0F
	READ    K,J                  
	LCDOUT  $FE,$80,"ADDR:",HEX2 K
	LCDOUT  $FE,$C0,"DATA:",HEX2 J
	PAUSE   345
NEXT    
STOP                    					' End of job
