'****************************************************************
'*  File	: L5101.BAS                                      
'*  Description 	: SHIFTIN command operation                        
'*  Author  : Natthapol Wongsoonthornchai                      
'*  Notice  : Copyright (c) 2004 Innovative Experiment Co.,Ltd. 
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE	OSC	20	    			' 20 MHz. <HS mode only>       
DEFINE  LCD_BITS     4      	' Data bus 4 bit mode
DEFINE	LCD_LINES    2      	' 2 Lines
DEFINE	LCD_DREG     PORTD  	' Use portd as data port 
DEFINE	LCD_DBIT     4	    	' Upper 4 bit of portd <D7:D4>
DEFINE	LCD_RSREG    PORTC  	' RS pin = RC0 
DEFINE  LCD_RSBIT    0  
DEFINE	LCD_EREG     PORTC  	' Enable pin = RC5 
DEFINE  LCD_EBIT     5 	
DAT	VAR	PORTE.0    			    ' Data pin
CLK VAR PORTE.1    			    ' Clock pin       
LOAD VAR  PORTE.2    		    ' Parallel load pin    
I    VAR  BYTE
        
ADCON1 = 2       			' Forced RE2:RE0 as digital port        
PAUSE   1000      			' Delay for LCD start-up
L1:     LOW     LOAD      	' Load parallel input
        HIGH    LOAD            
        SHIFTIN DAT,CLK,1,[I]   		 ' Read data into I        
        LCDOUT  $FE,$80,"INPUT=",BIN8 I  ' Show input
        GOTO    L1  
