'****************************************************************
'*  File	: L5601.BAS                                      
'*  Description 	: SWAP command operation                        
'*  Author  : Natthapol Wongsoonthornchai                       
'*  Copyright (c) 2004 Innovative Experiment Co.,Ltd.                              
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE  OSC 	20         ' HS mode
A   VAR	BYTE
B   VAR	BYTE
TX  VAR 	PORTC.6    
'*** Set serial communication protocol to 9600 8N1 non-invert on RC6 ***    
A = 111 
B = 222
SEROUT2   TX,84,["BEFORE SWAP FILE",13,10] 
SEROUT2   TX,84,["A=",#A, " , B=",#B,13,10,13,10]     

SWAP      A,B     							' Exchange value A and B

SEROUT2   TX,84,["AFTER SWAP FILE",13,10] 
SEROUT2   TX,84,["A=",#A, " , B=",#B,13,10]     
STOP            										' End program
