****************************************************************
*   File	: L5901.BAS                                     
*  Description 	: WRITE command operation                         
*  Author  : Natthapol Wongsoonthornchai                      
'****************************************************************
@   DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE  OSC  	20      			' High speed mode
J 	VAR 		BYTE
K   VAR 		BYTE
LED VAR  		PORTB.5    		' RB5
SPKR VAR 		PORTA.4     		' RA4

HIGH LED
J = 00                  
FOR     K = $FF TO $00 STEP -1
	WRITE   K,J             ' Write EEPROM
    PAUSE   10              ' Delay ~10 millisecond before next wrtite
    J = J + 1   					' Increase J
NEXT    
LOW  LED
FREQOUT  SPKR,40,2100 		' Send beep when finished
STOP                    								' End of job
