'*****************************************************************
'* File	: L0501.BAS                                      								*
'* Description 	: BRANCHL command operation              				
'* Compiler : PICBASIC PRO Demo/V2.44 or higher				
'*****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,WDT_OFF,BOD_OFF
DEFINE	OSC	  20	 		' Use this mode if XTAL over 4MHz
INDEX   VAR     BYTE
J       VAR     BYTE
'****************** MAIN PROGRAM *****************
TRISB   = %11000111     	' RB5:RB3 = output
PORTB   = %00000000     	' Turn off all LEDs <clear latch>                     

LOOP1:   
	SERIN2  PORTC.7,84,[DEC1 INDEX] ' Wait for index
'===========================================================
    BRANCHL   INDEX,[L1,L2,L3,L4,L5,L6,L7]    
    ' BRANCH    INDEX,[L1,L2,L3,L4,L5,L6,L7]        
'===========================================================
	FREQOUT   PORTA.4,40,2100 	' Send beep if out of range
     GOTO      LOOP1            	' Receive index again  
     @ ORG    	4097             ' Point to page 2 of program memory             
L1:     PORTB   = %00000000 : GOTO LOOP1
L2:     PORTB   = %00001000 : GOTO LOOP1
L3:     PORTB   = %00010000 : GOTO LOOP1
L4:     PORTB   = %00011000 : GOTO LOOP1
L5:     PORTB   = %00100000 : GOTO LOOP1
L6:     PORTB   = %00101000 : GOTO LOOP1
L7:     PORTB   = %00110000 : GOTO LOOP1
'***************** END OF PROGRAM ****************
