'******************************************************************
'*   File	: L0601.BAS                                      								*
'*  Description 	: BUTTON command operation                     
'* Compiler : PICBASIC PRO Demo/V2.44 or higher				
'* Author :	Natthapol Wongsoonthornchai					
'* Copyright 2004 Innovative Experiment Co.,Ltd.    			
'*****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,WDT_OFF,BOD_OFF
DEFINE	OSC	     20	    ' 20 MHz. <HS mode>
'****** DEFINE LCD REGISTERS AND BITS ****************************
DEFINE  LCD_BITS     4      ' Data bus 4 bit mode
DEFINE	LCD_LINES    2      ' 2 Lines
DEFINE	LCD_DREG     PORTD  ' Use portd as data port 
DEFINE	LCD_DBIT     4		' Upper 4 bit of portd <D7:D4>
DEFINE	LCD_RSREG    PORTC  ' RS pin = RC0 
DEFINE  LCD_RSBIT    0  
DEFINE	LCD_EREG     PORTC  ' Enable pin = RC5 
DEFINE  	LCD_EBIT     5 	
'*****************************************************************
DEFINE  BUTTON_PAUSE  25    ' Debounce delay = 25 ms
I       VAR     BYTE
J       VAR     BYTE
SW      VAR     PORTB.0         
DELAY   CON     255     
RATE    CON     200 
ACTIVE_LO  CON  0     		' For active low switch
ACTIVE_HI  CON  1     		' For active high switch

'++++++  MAIN PROGRAM  ++++++
PAUSE   1000
LCDOUT  $FE,1
j = 00               
I = 00   
CHECK:  BUTTON  SW,ACTIVE_LO,DELAY,RATE,I,1,SHOW
        GOTO    CHECK
SHOW:   LCDOUT  $FE,$80,"J=",DEC3 J
		j = j +1
        GOTO   CHECK
