'*****************************************************************
'* File	: L0701.BAS                                      								*
'* Description 	: CLEAR command operation                       
'* Compiler : PICBASIC PRO Demo/V2.44 or higher				
'*****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_ON
DEFINE	OSC 20         			' 20MHz <HS mode>
DEFINE	DEBUG_REG   PORTC
DEFINE  	DEBUG_BIT	6  
DEFINE	DEBUG_BAUD	9600
DEFINE  	DEBUG_MODE	0 	
A   VAR     BYTE
B   VAR     BYTE
C   VAR     BYTE
D   VAR     BYTE
E   VAR     BYTE

A = 1 : B = 2 : C = 3 : D = 4 : E = 5

DEBUG   "BEFORE CLEAR",13,10
DEBUG   "A= ",#A,13,10
DEBUG   "B= ",#B,13,10
DEBUG   "C= ",#C,13,10
DEBUG   "D= ",#D,13,10
DEBUG   "E= ",#E,13,10  
CLEAR       						' Clear all variables   
DEBUG   "AFTER CLEAR",13,10
DEBUG   "A= ",#A,13,10
DEBUG   "B= ",#B,13,10
DEBUG   "C= ",#C,13,10
DEBUG   "D= ",#D,13,10
DEBUG   "E= ",#E,13,10        

STOP
