'****************************************************************
'*   File	: L1102.BAS                                     
'*  Description 	: DEBUG command operation -2            
'* Compiler : PICBASIC PRO Demo/V2.44 or higher
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
'****** DEFINED CHIPs CONFIGURATION ****************************
@   DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,PWRT_OFF,WDT_OFF
DEFINE  OSC         20      ' XTAL 20MHz
'****** DEFINED DEBUG PARAMETERS ********************************
DEFINE  DEBUG_REG   PORTC   ' RC6 is TX pin
DEFINE  DEBUG_BIT   6            
DEFINE  DEBUG_BAUD  9600    ' Baudrate = 9600 bps <8N1>
DEFINE  DEBUG_MODE  0       ' Non-invert mode <drive through MAX232> 
Symbol  CR   = 13           ' Carriage return : go to biginning of line
SYMBOL  LF   = 10          ' Line feed : new line       

'****************************************************************
I   VAR BYTE                ' I = pointer  
J   VAR BYTE
K   VAR BYTE[96]          ' Declared array 
'======================== MAIN PROGRAM ==========================                                    
I       = 0                 ' Pointer = 00
FOR J = 32 TO (127-32)    ' For 96 characters            
    K[I]    = J            ' Get string
    I       = I + 1
NEXT                                                              
DEBUG  "*** Show Standard ASCII Character Set ***",CR,LF 
DEBUG   STR K\96 ,CR,LF,CR,LF ' Show string 

END                       ' End of program <enter sleep mode>
