'****************************************************************
'* File	: L1801.BAS                                      
'* Description 	: GOTO command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	 Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE  OSC  20         		' HS MODE
DEFINE  LCD_BITS     4      	' Data bus 4 bit mode
DEFINE  LCD_LINES    2      	' 2 Lines
DEFINE  LCD_DREG     PORTD  	' Use portd as data port 
DEFINE  LCD_DBIT     4	    	' Upper 4 bit of portd <D7:D4>
DEFINE  LCD_RSREG    PORTC  	' RS pin = RC0 
DEFINE  LCD_RSBIT    0  
DEFINE  LCD_EREG     PORTC  	' Enable pin = RC5 
DEFINE  LCD_EBIT     5 	
J   VAR     BYTE

PAUSE   1000    				' Delay for LCD startup
LCDOUT   $FE,1  				' Clear display 
J   =   0       				' Clear J
LOOP1:  GOTO    SHOW    		' Show J in decimal
LOOP2:  J = J + 1
        GOTO    LOOP1   		' Show again    
    	
SHOW:                   		' This label do as subroutine
    	LCDOUT  $FE,$80,"J= ",IDEC3 J  	' Show on LCD
    	PAUSE   333         			' Delay 
    	GOTO    LOOP2       			' Goto  LOOP2 (do as return)
