'****************************************************************
'* File	: L2001.BAS                                     
'* Description 	: HPWM command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@  DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,PWRT_OFF,WDT_OFF
DEFINE  OSC 	20      ; HS-mode for 20 MHz.
        
;*** SETUP FOR CAPTURE-COMPARE-PWM MODULE ***********
;*** IF USE PIC16F87X(A) THIS SETUP IS NOT NECESSARY
;*** BECAUSE THIS IS ITS DEFAULT          ***********
DEFINE  CCP1_REG    PORTC   ; PWM CH1 = RC2    
DEFINE  CCP1_BIT    2        
DEFINE  CCP2_REG    PORTC   ; PWM CH2 = RC1    
DEFINE  CCP2_REG    1
;********************************************************        
f_PWM    CON     2500       ; Assigned frequency     
        
HPWM 1 ,(80*255)/100,f_PWM   ; PWM freq. =2500Hz.,Duty cycle =80% @RC2/CCP1 pin   
OUTPUT  PORTC.1         			     ; Forced RC1 to output before use CH#2
HPWM 2 ,(20*255)/100,f_PWM   ; PWM frq. =2500Hz.,Duty cycle =20% @RC1/CCP2 pin  

; END           			 ; Enter sleep mode
L1: GOTO L1
