'****************************************************************
'* File	: L2101.BAS                                      
'* Description 	: HSERIN command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@ DEVICE  PIC16F877,WDT_OFF,BOD_OFF,HS_OSC,LVP_OFF
DEFINE   OSC  20
DEFINE   	HSER_RCSTA	10010000b 	' Serial enable ,8 Bit continuous receive. 
DEFINE  	HSER_TXSTA 	00100000b 	' Transmit enable in 8 bit asynchronous, 
									' low speed mode
DEFINE 	HSER_BAUD 	2400      		' 2400 bps 
DEFINE 	HSER_SPBRG 	129       		' Value in low speed mode (error 0.17%)

I VAR   BYTE[17]       	 				' Array = 17 (I0=I16)

HSEROUT ["TYPE CHARACTERS ON YOUR KEYBOARD",13,10]       ' Show text 
HSERIN  [STR I\16\"Z"]  			' Rcv. 16 characters or end by grab Z
HSEROUT [13,10,13,10,"YOUR CHARACTERS =",STR I\16,13,10] ' Show text
