'****************************************************************
'* File	: L2601.BAS                                      
'* Description 	: LCDIN command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'* Copyright 2004 Innovative Experiment Co.,Ltd.     
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,CPD_OFF,PROTECT_OFF,WDT_OFF
DEFINE	OSC	20	    			' 20 MHz. <HS mode>
DEFINE  LCD_BITS     4      ' Data bus 4 bit mode
DEFIN	LCD_LINES    2      ' 2 Lines
DEFINE	LCD_DREG     PORTD  ' Use portd as data port 
DEFINE	LCD_DBIT     4	    ' Upper 4 bit of portd <D7:D4>
DEFINE	LCD_RSREG    PORTC  ' RS pin = RC0 
DEFINE  LCD_RSBIT    0  
DEFINE	LCD_EREG     PORTC  ' Enable pin = RC5 
DEFINE  LCD_EBIT     5 	
DEFINE  LCD_RWREG    PORTC  ' RW pin = RC1
DEFINE  LCD_RWBIT    1

I  VAR  BYTE
J  VAR  BYTE
K  VAR  BYTE
L  VAR  BYTE
        
PAUSE   500                 ' Delay for LCD start up
LCDOUT  $FE,$1              ' Clear display
LCDOUT  "!@#$"              ' Send text string
PAUSE   2000                ' Delay 2 seconds
LCDIN   $80,[I]             ' Read DDRAM address $80
LCDIN   $81,[J]             ' Read DDRAM address $81
LCDIN   $82,[K]             ' Read DDRAM address $82
LCDIN   $83,[L]             ' Read DDRAM address $83
LCDOUT  $FE,$C0,HEX I,"H:" 
PAUSE   1000                ' Delay 1 second
LCDOUT  HEX J,"H:" 
PAUSE   1000                ' Delay 1 second
LCDOUT  HEX K,"H:"
PAUSE   1000                ' Delay 1 second
LCDOUT  HEX L,"H"
        
STOP                        ' End of job
