'****************************************************************
'* File	: L2701.BAS                                      
'* Description 	: LCDOUT command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,CPD_OFF,PROTECT_OFF,WDT_OFF
DEFINE	OSC	20	    		' 20 MHz. <HS mode>
DEFINE  LCD_BITS	4      	' Data bus 4 bit mode
DEFINE	LCD_LINES 	2      	' 2 Lines
DEFINE	LCD_DREG  	PORTD  	' Use portd as data port 
DEFINE	LCD_DBIT   	4	    ' Upper 4 bit of portd <D7:D4>
DEFINE	LCD_RSREG  	PORTC  	' RS pin = RC0 
DEFINE  LCD_RSBIT   0  
DEFINE	LCD_EREG   	PORTC  	' Enable pin = RC5 
DEFINE  LCD_EBIT    5 	
	
PAUSE	1000		    	       ' Delay >500 mS for LCD start-up
LCDOUT  $FE,1		    		   ' Clear display and return home
L1: 	LCDOUT  $FE,%00001100      ' Display ON,Cursor OFF,Blinking OFF
     	LCDOUT  $FE,80,"Hello"     ' Show text on line 1/0    
     	LCDOUT  $FE,%00001111      ' Display ON,Cursor ON,Blinking ON
     	LCDOUT  $FE,$80,"Hello!"   ' Show text on line 1/0    
     	LCDOUT  $FE,$C1,"Im PIC16F877" 	' Show text on line 2/1        
      	PAUSE   1000                		' Delay 1 second
     	LCDOUT  $FE,%00001000       		' Display OFF,Cursor OFF,Blinking OFF        
     	PAUSE   1000                		' Delay 1 second
     	GOTO    L1
