'****************************************************************
'* File	: L2901.BAS                                      
'* Description 	: LOOKDOWN command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai   
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,WDT_OFF,BOD_OFF
DEFINE	OSC		20	    		' 20 MHz. <HS mode>
DEFINE  DEBUGIN_REG  	PORTC    
DEFINE  DEBUGIN_BIT  	7       		' RC7 = Receive pin
DEFINE  DEBUGIN_MODE	 0      		' Non-invert mode
DEFINE  DEBUG_BAUD   	9600    	' Baudrate = 9600 bps
DEFINE  DEBUG_REG  	PORTC
DEFINE  DEBUG_BIT  	6       		' RC6 = Transmit pin
DEFINE  DEBUG_MODE  	0      		' Non-invert mode
'****************************************************************    
SEARCH      VAR     WORD
J           VAR     BYTE  
    
DEBUG   13,10,"LOOKDOWN2",13,10   	' Show text on PC
LOOP1 :	DEBUGIN [DEC4 SEARCH]     	' Wait decimal 4 digits
		LOOKDOWN2  SEARCH,[1000,2000,3000,4000,5000],J   
									' Show address if SEARCH = LIST
    		DEBUG #J,13,10        			' Show address of LIST
    
    		LOOKDOWN2  SEARCH,<>[1000,2000,3000,4000,5000],J   
									' Show address if SEARCH <> LIST  
    		DEBUG #J,13,10        			' Show address of LIST

    		LOOKDOWN2  SEARCH,<[1000,2000,3000,4000,5000],J     
									' Show address if SEARCH < LIST
    		DEBUG #J,13,10        			' Show address of LIST

    		LOOKDOWN2  SEARCH,>[1000,2000,3000,4000,5000],J     
									' Show address if SEARCH > LIST
    		DEBUG #J,13,10        			' Show address of LIST 

    		LOOKDOWN2  SEARCH,<=[1000,2000,3000,4000,5000],J     
									' Show address if SEARCH <= LIST
    		DEBUG #J,13,10        			' Show address of LIST 

    		LOOKDOWN2  SEARCH,>=[1000,2000,3000,4000,5000],J   
									' Show address if SEARCH >= LIST  
    		DEBUG #J,13,10        			' Show address of LIST

    		GOTO  LOOP1
