'****************************************************************
'*   File	: L3601.BAS                                      *
'*  Description 	: PULSIN command operation                    
'* Compiler : PICBASIC PRO demo/V2.44 or higher 
'* Author :	Natthapol Wongsoonthornchai
'****************************************************************
@ DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE  OSC         20     ' HS-mode for 20MHz
TH	VAR  WORD
DC   CON  40
'*****************************************************************       
HPWM   1,(DC*255)/100 ,5000 ' PWM frequency = 5kHz., Duty cycle = 40%

LOOP1:	PULSIN  PORTB.0,1,TH
        		SEROUT2  PORTC.6,84,["TH width=",DEC5 TH]        		' Show TH width
        		SEROUT2  PORTC.6,84,[" : TH time =",DEC5 TH*2,"us",13,10] 
													' Show TH time
        		PAUSE   1000
        		GOTO    LOOP1            
'********************** END OF PROGRAM **************************
