'****************************************************************
'* Filename    : L4001.BAS                                      
'* Description 	: RANDOM command operation                     
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE	OSC	     20	    
DEFINE  LCD_BITS     4      	' Data bus 4 bit mode
DEFINE	LCD_LINES    2      	' 2 Lines
DEFINE	LCD_DREG     PORTD  	' Use port D as data port 
DEFINE	LCD_DBIT     4	    	' Upper 4 bit of portd <D7:D4>
DEFINE	LCD_RSREG    PORTC  	' RS pin = RC0 
DEFINE  LCD_RSBIT    0  
DEFINE	LCD_EREG     PORTC  	' Enable pin = RC5 
DEFINE  LCD_EBIT     5 	
J	VAR  WORD     				' This variable should be word size
PAUSE   1000           			' Delay for LCD star-up
LOOP1:  LCDOUT  $FE,1       	' Clear display
        LCDOUT  $FE,$80,"Show Random" 	' Show text 
        RANDOM  J               		' Random J in 16 bit
        FREQOUT PORTA.4,40,2100     	' Sound out   
        LCDOUT  $FE,$C0,#J       		' Show number in decimal          
        PAUSE   2500
        GOTO    LOOP1
