'****************************************************************
'*  File    : L4101.BAS                                      
'*  Description 	: RCTIME command operation 
'*  Author  : Natthapol Wongsoonthornchai                     
'*  Copyright (c) 2004 Innovative Experiment Co.,Ltd.                      
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE	OSC		20	    		' 20 MHz. <HS mode only>       
DEFINE  	LCD_BITS 		4      		' Data bus 4 bit mode
DEFINE	LCD_LINES	2      		' 2 Lines
DEFINE	LCD_DREG 		PORTD  	' Use portd as data port 
DEFINE	LCD_DBIT  		4	    	' Upper 4 bit of portd <D7:D4>
DEFINE	LCD_RSREG 	PORTC  	' RS pin = RC0 
DEFINE  	LCD_RSBIT  	0  
DEFINE	LCD_EREG 		PORTC  	' Enable pin = RC5 
DEFINE  	LCD_EBIT 		5 	
RESULT  	VAR   	WORD        
'
PAUSE   1000            					' DELAY FOR LCD
LCDOUT  $FE,1
LOOP1: 	LOW     PORTB.0         ' Dischare capacitor tp start
        		PAUSE   10              ' Dischare 10 millisecond
        		RCTIME  PORTB.0,0,RESULT
        		LCDOUT  $FE,$80,"RESULT=",IDEC5 RESULT
        		GOTO    LOOP1            ' Again
