'****************************************************************
'*  Filename    : L4501.BAS                                      
'*  Description 	: REVERSE command operation  
'*  Author  : Natthapol Wongsoonthornchai                       
'*  Copyright (c) 2004 INnovative EXperiment Co.,Ltd.                              
'***************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE	OSC	20	 
BACKLAT  VAR 	BIT
PIN1     VAR  PORTB.0 			' RB0 = LED1 out                
' MAIN PROGRAM 
INPUT   PIN1            						' RB0 = input
BACKLAT =  1            						' LATCH = 1 
       
LOOP1:  REVERSE PIN1            				' Change to output 
        PIN1  = BACKLAT         			' Send data to LED 
        REVERSE  PIN1           			' Back to input
        PAUSEUS  7
        IF PIN1 = 1 THEN LOOP1

LOOP2:  IF PIN1 = 0 THEN LOOP2   		' Wait for depress switch
        BACKLAT   = BACKLAT ^ 1
        REVERSE     PIN1        		' Output
        PIN1      = BACKLAT                                                
        REVERSE     PIN1        		' Input
        GOTO        LOOP1
