'****************************************************************
'*  File    : L4801.BAS                                      
'*  Description 	: SERIN2 command operation  
'*  Author  : Natthapol Wongsoonthornchai                       
'*  Notice  : Copyright (c) 2004 Innovative EXperiment Co.,Ltd.                              
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE  OSC	20      			' HS MODE
DEFINE  LCD_BITS     4      	' Data bus 4 bit mode
DEFINE	LCD_LINES    2      	' 2 Lines
DEFINE	LCD_DREG     PORTD  	' Use portd as data port 
DEFINE	LCD_DBIT     4	    	' Upper 4 bit of portd <D7:D4>
DEFINE	LCD_RSREG    PORTC  	' RS pin = RC0 
DEFINE  LCD_RSBIT    0  
DEFINE	LCD_EREG     PORTC  	' Enable pin = RC5 
DEFINE  LCD_EBIT     5 	
I 	VAR  		BYTE
'
PAUSE   1000        				' Delay for LCD startup
LCDOUT  $FE,1       				' Clear display and return home
LOOP:  	SERIN2  PORTC.7,84,[I]	    ' 9600 8N1 non-invert on RC7
    	LCDOUT  $FE,$80, I          ' Show input (ASCII)
    	GOTO    LOOP
