'****************************************************************
'*  File	: L5201.BAS                                      
'*  Description 	: SHIFTOUT command operation                        
'*  Author  : Natthapol Wongsoonthornchai                       
'*  Copyright (c) 2004 Innovative Experiment Co.,Ltd. 
'****************************************************************
@ DEVICE PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE	OSC	20	      ' 20 MHz. <HS mode only>       
DAT  VAR  PORTB.0     ' RB0 = DATA pin
CLK  VAR  PORTC.1     ' RC1 = CLOCK pin    
LAT  VAR  PORTC.2     ' RC2 = LATCH pin     
I    VAR BYTE
LOOP:   I = 00          			' Clear output
        GOSUB   SEND_DATA        
        FOR  I = 0 TO 255  		    ' Send data 
        	GOSUB   SEND_DATA
        	PAUSE   123        		' Delay 123 millisecond
        NEXT
        GOTO  	LOOP
        
SEND_DATA:	LOW     LAT                 
       		SHIFTOUT DAT,CLK,5,[I] 	' MSB first ,Clock idle high - active low
        	HIGH    LAT             ' Send pulse to LATCH pin 
        	LOW     LAT
        	RETURN
