'****************************************************************
'*  File	: L7801.BAS                                      
'*  Description 	: Logic command operation                      
'*  Author  : Natthapol Wongsoonthornchai                       
'*  Copyright (c) 2004 Innovative Experiment Co.,Ltd. 
'****************************************************************
@   DEVICE  PIC16F877,HS_OSC,LVP_OFF,BOD_OFF,WDT_OFF
DEFINE  OSC         20      ; HS mode 
X   VAR  	BYTE
Y   VAR 	BYTE
A   VAR 	BYTE
B   VAR 	BYTE
C   VAR 	BYTE      
D   VAR  	BYTE
E   VAR 	BYTE
F   VAR 	BYTE
G   VAR 	BYTE

X = %10101010 : Y = %11011110
A = X & Y       ' AND
B = X | Y       ' OR
C = X ^ Y       ' XOR
D = ~X          ' NOT
E = X &/ Y      ' NAND
F = X |/ Y      ' NOR
G = X ^/ Y      ' XNOR
                                 
SEROUT2     14,84,["X AND Y  =",IBIN8 A,13,10]    
SEROUT2     14,84,["X OR  Y  =",IBIN8 B,13,10]    
SEROUT2     14,84,["X XOR Y  =",IBIN8 C,13,10]    
SEROUT2     14,84,["INVERT X =",IBIN8 D,13,10]    
SEROUT2     14,84,["X NAND Y =",IBIN8 E,13,10]    
SEROUT2     14,84,["X NOR  Y =",IBIN8 F,13,10]    
SEROUT2     14,84,["X XNOR Y =",IBIN8 G,13,10]                                                    
STOP                    ' Stop program 
